- Creates a new giving process record that does not already exist.
This method will auto-generate an ID and create a new giving process. If an ID is specified for the giving process, an error will be thrown.
The giving process that you would like to be saved.
Whether recurring gifts are allowed in this process
If set, donors are able to donor in honor of/in memory of
The default fund that a gift should be allocated to when the user makes an non-targeted gift
Enable confirmation email for submitted pledge forms
The fields that should show for new contacts being created in the portal during the contribution process
Whether or not to override POC settings
If true, pledges will generate pro forma (not real) invoices
If set, donors must acknowledge a checkbox before proceeding
If set, then the campaign in use for the giving form will show progress at the time of giving
If true, giving amounts are suggested; otherwise, the donor is free to enter their own
The suggested amount of given, set by default
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
Whether targeted giving is enabled for this process
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/givingProcesses/{tenantId}
- https://fundraising.api.rhythmsoftware.comhttps://fundraising.api.rhythmsoftware.com/givingProcesses/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/givingProcesses/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"acknowledgement_settings": {
"checkbox_text": "string",
"html": "string"
},
"allow_anonymous_gifts": true,
"allow_pledges": true,
"allow_recurring_gifts": true,
"allow_tribute_gifts": true,
"appeal_id": "string",
"campaign_id": "string",
"checkout_settings": {
"allow_customer_to_choose_installment_plan": true,
"bank_account_id": "string",
"bill_my_organization_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"bill_my_parent_organization_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"business_unit_id": "string",
"cancellation_fee_product_id": "string",
"checkout_donation_options": {
"simple_checkout_donation_options": {
"allow_user_to_specify_custom_amount": true,
"donation_ask_text": "string",
"donation_denominations": [
0.1
],
"donation_information": "string",
"donation_product_id": "string",
"override_donation_denominations": true,
"suggested_donation": 0.1
},
"type": "simple"
},
"credit_card_minimum_range_end": 0.1,
"credit_card_minimum_range_start": 0.1,
"credit_card_mode": "disabled",
"credit_card_processing_fee_mode": "charge",
"credit_card_processing_fee_options": {
"fee_percentage": 0.1,
"maximum_fee": 0.1,
"minimum_fee": 0.1,
"product_id": "string",
"prompt_sub_text": "string",
"prompt_text": "string"
},
"disable_electronic_payment_vaulting": true,
"enable_bill_my_organization": true,
"enable_bill_my_parent_organization": true,
"enable_donations_at_checkout": true,
"enable_electronic_checks": true,
"enable_pay_later": true,
"enable_payroll_deduction": true,
"enable_split_payments": true,
"installment_plan_options": [
{
"additional_cost": 0.1,
"installment_plan_id": "string",
"is_default": true
}
],
"invoice_payment_terms_id": "string",
"invoice_template_id": "string",
"merchant_account_id": "string",
"pay_later_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"restocking_fee_product_id": "string",
"special_instructions": "string",
"use_pro_forma_invoices": true
},
"default_fund_id": "string",
"donor_instructions": "string",
"enable_gift_receipt": true,
"enable_pledge_receipt": true,
"enable_premiums": true,
"gift_receipt": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"id": "string",
"is_active": true,
"name": "string",
"new_donor_contact_options": {},
"override_checkout_settings": true,
"pledge_installment_plans": [
{
"installment_plan_id": "string",
"name": "string"
}
],
"pledge_receipt": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"pledges_generate_pro_forma_invoices": true,
"premium_rules": [
{
"gift_amount_range_end": 0.1,
"gift_amount_range_start": 0.1,
"premium_id": "string"
}
],
"premium_shipping_method_id": "string",
"recurring_gift_options": {
"allow_donor_to_specify_end_date": true,
"enable_annually": true,
"enable_monthly": true,
"enable_quarterly": true
},
"require_acknowledgement": true,
"show_campaign_progress": true,
"suggest_giving_amounts": true,
"suggested_gift_amount": 0.1,
"suggested_giving_amounts": [
1
],
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"targeted_giving": "disabled",
"targeted_giving_options": {
"restrict_to_fund_categories": true,
"restrict_to_fund_types": true,
"restrict_to_funds": true,
"restricted_fund_category_ids": [
"string"
],
"restricted_fund_ids": [
"string"
],
"restricted_fund_types": [
"restricted funds"
]
},
"tribute_gift_options": {
"email_notification": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"honoree_notification": "disabled"
}
}'The giving process was saved successfully.
Whether recurring gifts are allowed in this process
If set, donors are able to donor in honor of/in memory of
The default fund that a gift should be allocated to when the user makes an non-targeted gift
Enable confirmation email for submitted pledge forms
The fields that should show for new contacts being created in the portal during the contribution process
Whether or not to override POC settings
If true, pledges will generate pro forma (not real) invoices
If set, donors must acknowledge a checkbox before proceeding
If set, then the campaign in use for the giving form will show progress at the time of giving
If true, giving amounts are suggested; otherwise, the donor is free to enter their own
The suggested amount of given, set by default
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
Whether targeted giving is enabled for this process
{ "acknowledgement_settings": { "checkbox_text": "string", "html": "string" }, "allow_anonymous_gifts": true, "allow_pledges": true, "allow_recurring_gifts": true, "allow_tribute_gifts": true, "appeal_id": "string", "campaign_id": "string", "checkout_settings": { "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { … }, "bill_my_parent_organization_options": { … }, "business_unit_id": "string", "cancellation_fee_product_id": "string", "checkout_donation_options": { … }, "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { … }, "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "installment_plan_options": [ … ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "merchant_account_id": "string", "pay_later_options": { … }, "restocking_fee_product_id": "string", "special_instructions": "string", "use_pro_forma_invoices": true }, "default_fund_id": "string", "donor_instructions": "string", "enable_gift_receipt": true, "enable_pledge_receipt": true, "enable_premiums": true, "gift_receipt": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "id": "string", "is_active": true, "name": "string", "new_donor_contact_options": {}, "override_checkout_settings": true, "pledge_installment_plans": [ { … } ], "pledge_receipt": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "pledges_generate_pro_forma_invoices": true, "premium_rules": [ { … } ], "premium_shipping_method_id": "string", "recurring_gift_options": { "allow_donor_to_specify_end_date": true, "enable_annually": true, "enable_monthly": true, "enable_quarterly": true }, "require_acknowledgement": true, "show_campaign_progress": true, "suggest_giving_amounts": true, "suggested_gift_amount": 0.1, "suggested_giving_amounts": [ 1 ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "targeted_giving": "disabled", "targeted_giving_options": { "restrict_to_fund_categories": true, "restrict_to_fund_types": true, "restrict_to_funds": true, "restricted_fund_category_ids": [ … ], "restricted_fund_ids": [ … ], "restricted_fund_types": [ … ] }, "tribute_gift_options": { "email_notification": { … }, "honoree_notification": "disabled" } }